Target version:    

Resolution: Fixed Affected version:  

Description

Fixes bad references on issue_controller

This is the error

NameError in IssuesController#issue_tab

undefined local variable or method `changesets' for #<IssuesController:0x0000556756ef61f0>

Did you mean?  @changesets

Extracted source (around line #207):

#205     when 'changesets'

#206       @changesets = @issue.changesets.visible.preload(:repository, :user).to_a

*207       changesets.reverse! if User.current.wants_comments_in_reverse_order?

#208       render :partial => 'issues/tabs/changesets', :locals => {:changesets => @changesets}

#209     end

#210   end

Extracted source (around line #6):

#4   module BasicImplicitRender # :nodoc:

#5     def send_action(method, *args)

*6       super.tap { default_render unless performed? }

#7     end

#8 

#9     def default_render(*args)

Extracted source (around line #194):

#192       # which is *not* necessarily the same as the action name.

#193       def process_action(method_name, *args)

*194         send_action(method_name, *args)

#195       end

#196 

#197       # Actually call the method associated with the action. Override

Related issues:

Related to Redmine - Feature #3058: Show issue history using tabs Closed 2009-03-26

Associated revisions

Revision 18598 - 2019-10-06 01:57 - Go MAEDA

Fix that "Associated revisions" tab has no content when the user displays comments in reverse chronological order (#32198, #3058).

Patch by José Esteves.

History

#1 - 2019-10-05 04:34 - Mischa The Evil

- Related to Feature #3058: Show issue history using tabs added
#2 - 2019-10-05 04:40 - Mischa The Evil

- Subject changed from Issues associated revisión not showing due to bad reference to Issues associated revisions not showing due to bad reference

to lvar instead of ivar

#3 - 2019-10-05 11:22 - Go MAEDA

- Tracker changed from Patch to Defect

- Status changed from New to Confirmed

- Target version set to 4.1.0

#4 - 2019-10-06 01:58 - Go MAEDA

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Target version deleted (4.1.0)

- Resolution set to Fixed

Committed the patch as a part of #3058. Thank you for detecting and reporting this issue.

#5 - 2019-10-07 16:09 - José Esteves

Go MAEDA wrote:

Committed the patch as a part of #3058. Thank you for detecting and reporting this issue.

 Glad to help! :)

#6 - 2019-10-10 16:34 - Go MAEDA

- Status changed from Resolved to Closed

Files

issues_controller-fix-reference.diff 1.09 KB 2019-10-04 José Esteves

IMG1.png 45.9 KB 2019-10-04 José Esteves

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

https://www.redmine.org/issues/3058
https://www.redmine.org/issues/3058
http://www.tcpdf.org

